Subject: Re: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Feb 2022 15:10:05 +0100

Eli Zaretskii <[email-masked]> writes:

> It changes semantics.  The list of file names passed to a command
> doesn't necessarily mean "open each file and process it", it could
> mean something else, like "make a list of files".  So I don't think we
> should do that.

Commands like "echo" will behave differently, but I tried to imagine
other functions where this would make a difference, and I failed.  Do
you have any examples?

The old behaviour would misbehave for the vast majority of commands, so
I think it's an improvement.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no